import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.tenant_connector_taps.tenant_provider_pool_rebuilds(state=None)sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.TenantConnectorTapsTenantProviderPoolRebuildsQueryParams{}
result, err := sdk.TenantConnectorTapsNamespace.TenantProviderPoolRebuilds(ctx, query){
"data": [
{
"classification": {
"classificationHash": "<string>",
"identityImpact": "IDENTITY_UNCHANGED",
"proposedPlanHash": "<string>",
"rebuildTableIds": [
"<string>"
],
"requiresRebuild": true,
"servedPlanHash": "<string>",
"tables": [
{
"cascaded": true,
"changes": [
{
"reason": "ACCESS_CHANGED",
"column": "<string>"
}
],
"kind": "main",
"tableClass": "NONE",
"tableId": "<string>",
"proposedPhysicalName": "<string>",
"servedPhysicalName": "<string>"
}
]
},
"classificationHash": "<string>",
"connectorId": "<string>",
"effectiveTapId": "<string>",
"fromLayoutId": "<string>",
"id": "<string>",
"identityImpact": "IDENTITY_UNCHANGED",
"reasons": [
"CONNECTOR_TAP_CHANGED"
],
"rebuildTableIds": [
"<string>"
],
"requestedAt": "2023-11-07T05:31:56Z",
"requestedBy": "<string>",
"stale": true,
"state": "PENDING_APPROVAL",
"tapName": "<string>",
"targetLayoutId": "<string>",
"tenantConnectorId": "<string>",
"tenantConnectorTapId": "<string>",
"abortedAt": "2023-11-07T05:31:56Z",
"abortedReason": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"declinedAt": "2023-11-07T05:31:56Z",
"declinedBy": "<string>",
"declinedReason": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"identityAccountsRekeyed": 0,
"notBefore": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"staleAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"supersededById": "<string>",
"swappedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}List Provider Pool rebuilds
Lists rebuilds of this Workspace’s Provider data, optionally narrowed to one state. A rebuild rewrites a Tap’s stored tables after a change to how they are laid out; it waits for approval first. Stale marks a pending item older than the configured age.
import os
from parable_web_api_sdk import ClientConfig, WebApiSDK
sdk = WebApiSDK(
ClientConfig(
base_url=os.environ["PARABLE_API_URL"],
auth_token=os.environ["PARABLE_API_TOKEN"],
default_headers={"X-Tenant": os.environ["PARABLE_WORKSPACE"]},
)
)
result = sdk.tenant_connector_taps.tenant_provider_pool_rebuilds(state=None)sdk, err := webapisdk.New(webapisdk.SDKConfig{
BaseURL: os.Getenv("PARABLE_API_URL"),
Auth: &webapisdk.AuthConfig{Token: os.Getenv("PARABLE_API_TOKEN")},
RequestInterceptor: func(ctx context.Context, req *http.Request) error {
req.Header.Set("X-Tenant", os.Getenv("PARABLE_WORKSPACE"))
return nil
},
})
if err != nil {
return err
}
query := &namespaces.TenantConnectorTapsTenantProviderPoolRebuildsQueryParams{}
result, err := sdk.TenantConnectorTapsNamespace.TenantProviderPoolRebuilds(ctx, query){
"data": [
{
"classification": {
"classificationHash": "<string>",
"identityImpact": "IDENTITY_UNCHANGED",
"proposedPlanHash": "<string>",
"rebuildTableIds": [
"<string>"
],
"requiresRebuild": true,
"servedPlanHash": "<string>",
"tables": [
{
"cascaded": true,
"changes": [
{
"reason": "ACCESS_CHANGED",
"column": "<string>"
}
],
"kind": "main",
"tableClass": "NONE",
"tableId": "<string>",
"proposedPhysicalName": "<string>",
"servedPhysicalName": "<string>"
}
]
},
"classificationHash": "<string>",
"connectorId": "<string>",
"effectiveTapId": "<string>",
"fromLayoutId": "<string>",
"id": "<string>",
"identityImpact": "IDENTITY_UNCHANGED",
"reasons": [
"CONNECTOR_TAP_CHANGED"
],
"rebuildTableIds": [
"<string>"
],
"requestedAt": "2023-11-07T05:31:56Z",
"requestedBy": "<string>",
"stale": true,
"state": "PENDING_APPROVAL",
"tapName": "<string>",
"targetLayoutId": "<string>",
"tenantConnectorId": "<string>",
"tenantConnectorTapId": "<string>",
"abortedAt": "2023-11-07T05:31:56Z",
"abortedReason": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"approvedBy": "<string>",
"declinedAt": "2023-11-07T05:31:56Z",
"declinedBy": "<string>",
"declinedReason": "<string>",
"failedAt": "2023-11-07T05:31:56Z",
"identityAccountsRekeyed": 0,
"notBefore": "2023-11-07T05:31:56Z",
"readyAt": "2023-11-07T05:31:56Z",
"staleAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"supersededById": "<string>",
"swappedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"requestId": "<string>",
"totalCount": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"prev": "<string>"
}
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}{
"detail": "<string>",
"status": 400,
"title": "Bad Request",
"type": "about:blank",
"code": "WA-VL-001",
"details": "<unknown>",
"errors": "<unknown>",
"requestId": "<string>"
}Access
This operation needs a Parable token. An MCP token cannot call it. See Authentication for the kinds of token. Your roles must granttenant.connectors.rebuilds.view.
Errors
HTTP 403: The caller cannot view this Workspace’s rebuilds. Use an identity with rebuild view permission.
Authorizations
A personal access token, which starts with pat_. A Parable token can call each operation that the roles of its owner allow. An MCP token can call only the read operations that are open to agents. A SQL token does not work on this API.
Headers
Workspace slug. Overrides subdomain-based workspace resolution when provided.
"acme"
Optional request correlation ID echoed back in the response.
"550e8400-e29b-41d4-a716-446655440000"
Query Parameters
Lifecycle of one Provider Pool rebuild queue item. Abort is allowed from APPROVED, BUILDING, READY and FAILED; retry moves FAILED back to APPROVED. Stale is derived from the request time, not stored.
PENDING_APPROVAL, SUPERSEDED, DECLINED, APPROVED, BUILDING, READY, SWAPPED, CLEANED, FAILED, ABORTED